Index: /XIOS/trunk/src/interface/fortran/ixios_interfaces.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran/ixios_interfaces.F90	(revision 980)
+++ /XIOS/trunk/src/interface/fortran/ixios_interfaces.F90	(revision 981)
@@ -63,16 +63,11 @@
 USE iscalargroup_attr, ONLY : xios(set_scalargroup_attr_hdl), xios(get_scalargroup_attr_hdl), xios(is_defined_scalargroup_attr_hdl)
 
-USE izoom_axis, ONLY : xios(get_zoom_axis_handle)
-
-USE izoom_axis_attr, ONLY : xios(set_zoom_axis_attr_hdl), xios(get_zoom_axis_attr_hdl), xios(is_defined_zoom_axis_attr_hdl)
-
+!-------------------------------------------------------------------------------
+!!! Transformation INTERFACES
+!-------------------------------------------------------------------------------
+!!! DOMAIN TRANSFORMATIONS
 USE izoom_domain, ONLY : xios(get_zoom_domain_handle)
 
 USE izoom_domain_attr, ONLY : xios(set_zoom_domain_attr_hdl), xios(get_zoom_domain_attr_hdl), xios(is_defined_zoom_domain_attr_hdl)
-
-USE iinterpolate_axis, ONLY : xios(get_interpolate_axis_handle)
-
-USE iinterpolate_axis_attr, ONLY : xios(set_interpolate_axis_attr_hdl), xios(get_interpolate_axis_attr_hdl), &
-                                   xios(is_defined_interpolate_axis_attr_hdl)
 
 USE iinterpolate_domain, ONLY : xios(get_interpolate_domain_handle)
@@ -80,8 +75,4 @@
 USE iinterpolate_domain_attr, ONLY : xios(set_interpolate_domain_attr_hdl), xios(get_interpolate_domain_attr_hdl), &
                                      xios(is_defined_interpolate_domain_attr_hdl)
-
-USE iinverse_axis, ONLY : xios(get_inverse_axis_handle)
-
-USE iinverse_axis_attr, ONLY : xios(set_inverse_axis_attr_hdl), xios(get_inverse_axis_attr_hdl), xios(is_defined_inverse_axis_attr_hdl)
 
 USE igenerate_rectilinear_domain, ONLY : xios(get_generate_rectilinear_domain_handle)
@@ -90,4 +81,5 @@
                                               xios(get_generate_rectilinear_domain_attr_hdl), &
                                               xios(is_defined_generate_rectilinear_domain_attr_hdl)
+
 USE icompute_connectivity_domain, ONLY : xios(get_compute_connectivity_domain_handle)
 
@@ -96,4 +88,42 @@
                                               xios(is_defined_compute_connectivity_domain_attr_hdl)
 
+USE iexpand_domain, ONLY : xios(get_expand_domain_handle)
+
+USE iexpand_domain_attr, ONLY : xios(set_expand_domain_attr_hdl), &
+                                xios(get_expand_domain_attr_hdl), &
+                                xios(is_defined_expand_domain_attr_hdl)
+
+!!! AXIS TRANSFORMATIONS
+USE izoom_axis, ONLY : xios(get_zoom_axis_handle)
+
+USE izoom_axis_attr, ONLY : xios(set_zoom_axis_attr_hdl), xios(get_zoom_axis_attr_hdl), xios(is_defined_zoom_axis_attr_hdl)
+
+USE iinterpolate_axis, ONLY : xios(get_interpolate_axis_handle)
+
+USE iinterpolate_axis_attr, ONLY : xios(set_interpolate_axis_attr_hdl), &
+                                   xios(get_interpolate_axis_attr_hdl), &
+                                   xios(is_defined_interpolate_axis_attr_hdl)
+
+USE iinverse_axis, ONLY : xios(get_inverse_axis_handle)
+
+USE iinverse_axis_attr, ONLY : xios(set_inverse_axis_attr_hdl), &
+                               xios(get_inverse_axis_attr_hdl), &
+                               xios(is_defined_inverse_axis_attr_hdl)
+
+USE ireduce_domain_to_axis, ONLY : xios(get_reduce_domain_to_axis_handle)
+
+USE ireduce_domain_to_axis_attr, ONLY : xios(set_reduce_domain_to_axis_attr_hdl), &
+                                        xios(get_reduce_domain_to_axis_attr_hdl), &
+                                        xios(is_defined_reduce_domain_to_axis_attr_hdl)
+
+USE iextract_domain_to_axis, ONLY : xios(get_extract_domain_to_axis_handle)
+
+USE iextract_domain_to_axis_attr, ONLY : xios(set_extract_domain_to_axis_attr_hdl), &
+                                         xios(get_extract_domain_to_axis_attr_hdl), &
+                                         xios(is_defined_extract_domain_to_axis_attr_hdl)
+
+!!! SCALAR TRANSFORMATIONS
+
+
 USE ireduce_axis_to_scalar, ONLY : xios(get_reduce_axis_to_scalar_handle)
 
@@ -101,4 +131,16 @@
                                         xios(get_reduce_axis_to_scalar_attr_hdl), &
                                         xios(is_defined_reduce_axis_to_scalar_attr_hdl)
+
+USE ireduce_domain_to_scalar, ONLY : xios(get_reduce_domain_to_scalar_handle)
+
+USE ireduce_domain_to_scalar_attr, ONLY : xios(set_reduce_domain_to_scalar_attr_hdl), &
+                                          xios(get_reduce_domain_to_scalar_attr_hdl), &
+                                          xios(is_defined_reduce_domain_to_scalar_attr_hdl)
+
+USE iextract_axis_to_scalar, ONLY : xios(get_extract_axis_to_scalar_handle)
+
+USE iextract_axis_to_scalar_attr, ONLY : xios(set_extract_axis_to_scalar_attr_hdl), &
+                                         xios(get_extract_axis_to_scalar_attr_hdl), &
+                                         xios(is_defined_extract_axis_to_scalar_attr_hdl)
 
 USE ixml_tree, ONLY : xios(add_axis), xios(add_file), xios(add_grid), xios(add_field), xios(add_domain),   &
@@ -111,5 +153,7 @@
                       xios(add_interpolateaxistoaxis), xios(add_inverseaxistoaxis), xios(add_scalar),      &
                       xios(add_scalargroup), xios(add_scalartogrid), xios(add_reduceaxistoscalartoscalar), &
-                      xios(add_computeconnectivitydomaintodomain)
+                      xios(add_computeconnectivitydomaintodomain), xios(add_reducedomaintoaxistoaxis),     &
+                      xios(add_extractdomaintoaxistoaxis), xios(add_reducedomaintoscalartoscalar),         &
+                      xios(add_extractaxistoscalartoscalar), xios(add_expanddomaintodomain)
 
 PRIVATE
@@ -125,6 +169,9 @@
                    xios(set_generate_rectilinear_domain_attr_hdl), xios(set_scalar_attr_hdl),                &
                    xios(set_scalargroup_attr_hdl), xios(set_reduce_axis_to_scalar_attr_hdl),                 &
-                   xios(set_compute_connectivity_domain_attr_hdl)
+                   xios(set_compute_connectivity_domain_attr_hdl), xios(set_reduce_domain_to_scalar_attr_hdl), &
+                   xios(set_reduce_domain_to_axis_attr_hdl), xios(set_extract_domain_to_axis_attr_hdl),        &
+                   xios(set_extract_axis_to_scalar_attr_hdl), xios(set_expand_domain_attr_hdl)
 END INTERFACE xios(set_attr)
+
 
 INTERFACE xios(get_attr)
@@ -138,5 +185,7 @@
                    xios(get_generate_rectilinear_domain_attr_hdl), xios(get_scalar_attr_hdl),                &
                    xios(get_scalargroup_attr_hdl), xios(get_reduce_axis_to_scalar_attr_hdl),                 &
-                   xios(get_compute_connectivity_domain_attr_hdl)
+                   xios(get_compute_connectivity_domain_attr_hdl), xios(get_reduce_domain_to_scalar_attr_hdl), &
+                   xios(get_reduce_domain_to_axis_attr_hdl), xios(get_extract_domain_to_axis_attr_hdl),        &
+                   xios(get_extract_axis_to_scalar_attr_hdl), xios(get_expand_domain_attr_hdl)
 END INTERFACE xios(get_attr)
 
@@ -151,18 +200,23 @@
                    xios(is_defined_inverse_axis_attr_hdl), xios(is_defined_generate_rectilinear_domain_attr_hdl),                 &
                    xios(is_defined_scalar_attr_hdl), xios(is_defined_scalargroup_attr_hdl),                                       &
-                   xios(is_defined_reduce_axis_to_scalar_attr_hdl), xios(is_defined_compute_connectivity_domain_attr_hdl)
+                   xios(is_defined_reduce_axis_to_scalar_attr_hdl), xios(is_defined_compute_connectivity_domain_attr_hdl),        &
+                   xios(is_defined_reduce_domain_to_scalar_attr_hdl), xios(is_defined_reduce_domain_to_axis_attr_hdl),            &
+                   xios(is_defined_extract_domain_to_axis_attr_hdl), xios(is_defined_extract_axis_to_scalar_attr_hdl),            &
+                   xios(is_defined_expand_domain_attr_hdl)
 END INTERFACE xios(is_defined_attr)
 
 INTERFACE xios(get_handle)
-  MODULE PROCEDURE xios(get_context_handle), xios(get_domain_handle), xios(get_domaingroup_handle), &
-                   xios(get_file_handle), xios(get_filegroup_handle), xios(get_grid_handle),        &
-                   xios(get_gridgroup_handle), xios(get_axis_handle), xios(get_axisgroup_handle),   &
-                   xios(get_field_handle), xios(get_fieldgroup_handle),xios(get_variable_handle),   &
-                   xios(get_variablegroup_handle), xios(get_zoom_axis_handle),                      &
-                   xios(get_zoom_domain_handle), xios(get_interpolate_axis_handle),                 &
-                   xios(get_interpolate_domain_handle), xios(get_inverse_axis_handle),              &
-                   xios(get_generate_rectilinear_domain_handle), xios(get_scalar_handle),           &
-                   xios(get_scalargroup_handle), xios(get_reduce_axis_to_scalar_handle),            &
-                   xios(get_compute_connectivity_domain_handle)
+  MODULE PROCEDURE xios(get_context_handle), xios(get_domain_handle), xios(get_domaingroup_handle),                  &
+                   xios(get_file_handle), xios(get_filegroup_handle), xios(get_grid_handle),                         &
+                   xios(get_gridgroup_handle), xios(get_axis_handle), xios(get_axisgroup_handle),                    &
+                   xios(get_field_handle), xios(get_fieldgroup_handle),xios(get_variable_handle),                    &
+                   xios(get_variablegroup_handle), xios(get_zoom_axis_handle),                                       &
+                   xios(get_zoom_domain_handle), xios(get_interpolate_axis_handle),                                  &
+                   xios(get_interpolate_domain_handle), xios(get_inverse_axis_handle),                               &
+                   xios(get_generate_rectilinear_domain_handle), xios(get_scalar_handle),                            &
+                   xios(get_scalargroup_handle), xios(get_reduce_axis_to_scalar_handle),                             &
+                   xios(get_compute_connectivity_domain_handle), xios(get_reduce_domain_to_scalar_handle),           &
+                   xios(get_reduce_domain_to_axis_handle), xios(get_extract_domain_to_axis_handle),                  &
+                   xios(get_extract_axis_to_scalar_handle), xios(get_expand_domain_handle)
 END INTERFACE xios(get_handle)
 
@@ -176,5 +230,7 @@
                    xios(add_zoomaxistoaxis), xios(add_interpolateaxistoaxis), xios(add_inverseaxistoaxis),           &
                    xios(add_scalar), xios(add_scalartogrid), xios(add_reduceaxistoscalartoscalar),                   &
-                   xios(add_computeconnectivitydomaintodomain)
+                   xios(add_computeconnectivitydomaintodomain), xios(add_reducedomaintoscalartoscalar),              &
+                   xios(add_reducedomaintoaxistoaxis), xios(add_extractdomaintoaxistoaxis),                          &
+                   xios(add_extractaxistoscalartoscalar), xios(add_expanddomaintodomain)
 END INTERFACE xios(add_child)
 
Index: /XIOS/trunk/src/interface/fortran/ixml_tree.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran/ixml_tree.F90	(revision 980)
+++ /XIOS/trunk/src/interface/fortran/ixml_tree.F90	(revision 981)
@@ -10,12 +10,20 @@
    USE IDOMAIN
    USE IVARIABLE
+   
    USE IZOOM_DOMAIN
    USE IINTERPOLATE_DOMAIN
    USE IGENERATE_RECTILINEAR_DOMAIN
    USE ICOMPUTE_CONNECTIVITY_DOMAIN
+   USE IEXPAND_DOMAIN
+
    USE IZOOM_AXIS
    USE IINTERPOLATE_AXIS
    USE IINVERSE_AXIS
+   USE IREDUCE_DOMAIN_TO_AXIS
+   USE IEXTRACT_DOMAIN_TO_AXIS
+
    USE IREDUCE_AXIS_TO_SCALAR
+   USE IEXTRACT_AXIS_TO_SCALAR
+   USE IREDUCE_DOMAIN_TO_SCALAR
 
    INTERFACE ! Ne pas appeler directement/Interface FORTRAN 2003 <-> C99
@@ -191,4 +199,8 @@
       END SUBROUTINE cxios_xml_tree_add_domaintogrid
 
+      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      !!!   TRANSFORMATIONS 
+      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      !!! DOMAIN
       SUBROUTINE cxios_xml_tree_add_zoomdomaintodomain(parent_, child_, child_id, child_id_size) BIND(C)
          USE ISO_C_BINDING
@@ -223,4 +235,13 @@
       END SUBROUTINE cxios_xml_tree_add_computeconnectivitydomaintodomain
 
+      SUBROUTINE cxios_xml_tree_add_expanddomaintodomain(parent_, child_, child_id, child_id_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T), VALUE        :: parent_
+         INTEGER  (kind = C_INTPTR_T)               :: child_
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: child_id
+         INTEGER  (kind = C_INT)     , VALUE        :: child_id_size
+      END SUBROUTINE cxios_xml_tree_add_expanddomaintodomain
+
+      !!!! AXIS
       SUBROUTINE cxios_xml_tree_add_zoomaxistoaxis(parent_, child_, child_id, child_id_size) BIND(C)
          USE ISO_C_BINDING
@@ -247,4 +268,21 @@
       END SUBROUTINE cxios_xml_tree_add_inverseaxistoaxis
 
+      SUBROUTINE cxios_xml_tree_add_reducedomaintoaxistoaxis(parent_, child_, child_id, child_id_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T), VALUE        :: parent_
+         INTEGER  (kind = C_INTPTR_T)               :: child_
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: child_id
+         INTEGER  (kind = C_INT)     , VALUE        :: child_id_size
+      END SUBROUTINE cxios_xml_tree_add_reducedomaintoaxistoaxis
+
+      SUBROUTINE cxios_xml_tree_add_extractdomaintoaxistoaxis(parent_, child_, child_id, child_id_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T), VALUE        :: parent_
+         INTEGER  (kind = C_INTPTR_T)               :: child_
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: child_id
+         INTEGER  (kind = C_INT)     , VALUE        :: child_id_size
+      END SUBROUTINE cxios_xml_tree_add_extractdomaintoaxistoaxis
+
+      !!! SCALAR
       SUBROUTINE cxios_xml_tree_add_reduceaxistoscalartoscalar(parent_, child_, child_id, child_id_size) BIND(C)
          USE ISO_C_BINDING
@@ -254,4 +292,20 @@
          INTEGER  (kind = C_INT)     , VALUE        :: child_id_size
       END SUBROUTINE cxios_xml_tree_add_reduceaxistoscalartoscalar
+
+      SUBROUTINE cxios_xml_tree_add_extractaxistoscalartoscalar(parent_, child_, child_id, child_id_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T), VALUE        :: parent_
+         INTEGER  (kind = C_INTPTR_T)               :: child_
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: child_id
+         INTEGER  (kind = C_INT)     , VALUE        :: child_id_size
+      END SUBROUTINE cxios_xml_tree_add_extractaxistoscalartoscalar
+
+      SUBROUTINE cxios_xml_tree_add_reducedomaintoscalartoscalar(parent_, child_, child_id, child_id_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T), VALUE        :: parent_
+         INTEGER  (kind = C_INTPTR_T)               :: child_
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: child_id
+         INTEGER  (kind = C_INT)     , VALUE        :: child_id_size
+      END SUBROUTINE cxios_xml_tree_add_reducedomaintoscalartoscalar
 
       SUBROUTINE cxios_xml_tree_show(filename, filename_size) BIND(C)
@@ -552,4 +606,8 @@
    END SUBROUTINE xios(add_domaintogrid)
 
+   !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+   !!!         TRANSFORMATIONS
+   !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+   !!!         DOAMIN
    SUBROUTINE xios(add_zoomdomaintodomain)(parent_hdl, child_hdl, child_id)
       TYPE(txios(domain))           , INTENT(IN) :: parent_hdl
@@ -604,4 +662,18 @@
    END SUBROUTINE xios(add_computeconnectivitydomaintodomain)
 
+   SUBROUTINE xios(add_expanddomaintodomain)(parent_hdl, child_hdl, child_id)
+      TYPE(txios(domain))                      , INTENT(IN) :: parent_hdl
+      TYPE(txios(expand_domain))               , INTENT(OUT):: child_hdl
+      CHARACTER(len = *), OPTIONAL             , INTENT(IN) :: child_id
+
+      IF (PRESENT(child_id)) THEN
+         CALL cxios_xml_tree_add_expanddomaintodomain(parent_hdl%daddr, child_hdl%daddr, child_id, len(child_id))
+      ELSE
+         CALL cxios_xml_tree_add_expanddomaintodomain(parent_hdl%daddr, child_hdl%daddr, "NONE", -1)
+      END IF
+
+   END SUBROUTINE xios(add_expanddomaintodomain)
+
+   !!!  AXIS
    SUBROUTINE xios(add_zoomaxistoaxis)(parent_hdl, child_hdl, child_id)
       TYPE(txios(axis))                      , INTENT(IN) :: parent_hdl
@@ -643,6 +715,33 @@
    END SUBROUTINE xios(add_inverseaxistoaxis)
 
+   SUBROUTINE xios(add_reducedomaintoaxistoaxis)(parent_hdl, child_hdl, child_id)
+      TYPE(txios(axis))                        , INTENT(IN) :: parent_hdl
+      TYPE(txios(reduce_domain_to_axis))       , INTENT(OUT):: child_hdl
+      CHARACTER(len = *), OPTIONAL             , INTENT(IN) :: child_id
+
+      IF (PRESENT(child_id)) THEN
+         CALL cxios_xml_tree_add_reducedomaintoaxistoaxis(parent_hdl%daddr, child_hdl%daddr, child_id, len(child_id))
+      ELSE
+         CALL cxios_xml_tree_add_reducedomaintoaxistoaxis(parent_hdl%daddr, child_hdl%daddr, "NONE", -1)
+      END IF
+
+   END SUBROUTINE xios(add_reducedomaintoaxistoaxis)
+
+   SUBROUTINE xios(add_extractdomaintoaxistoaxis)(parent_hdl, child_hdl, child_id)
+      TYPE(txios(axis))                        , INTENT(IN) :: parent_hdl
+      TYPE(txios(extract_domain_to_axis))      , INTENT(OUT):: child_hdl
+      CHARACTER(len = *), OPTIONAL             , INTENT(IN) :: child_id
+
+      IF (PRESENT(child_id)) THEN
+         CALL cxios_xml_tree_add_extractdomaintoaxistoaxis(parent_hdl%daddr, child_hdl%daddr, child_id, len(child_id))
+      ELSE
+         CALL cxios_xml_tree_add_extractdomaintoaxistoaxis(parent_hdl%daddr, child_hdl%daddr, "NONE", -1)
+      END IF
+
+   END SUBROUTINE xios(add_extractdomaintoaxistoaxis)
+
+   !!! SCALAR
    SUBROUTINE xios(add_reduceaxistoscalartoscalar)(parent_hdl, child_hdl, child_id)
-      TYPE(txios(axis))                      , INTENT(IN) :: parent_hdl
+      TYPE(txios(scalar))                    , INTENT(IN) :: parent_hdl
       TYPE(txios(reduce_axis_to_scalar))     , INTENT(OUT):: child_hdl
       CHARACTER(len = *), OPTIONAL           , INTENT(IN) :: child_id
@@ -655,3 +754,30 @@
 
    END SUBROUTINE xios(add_reduceaxistoscalartoscalar)
+
+   SUBROUTINE xios(add_extractaxistoscalartoscalar)(parent_hdl, child_hdl, child_id)
+      TYPE(txios(scalar))                    , INTENT(IN) :: parent_hdl
+      TYPE(txios(extract_axis_to_scalar))    , INTENT(OUT):: child_hdl
+      CHARACTER(len = *), OPTIONAL           , INTENT(IN) :: child_id
+
+      IF (PRESENT(child_id)) THEN
+         CALL cxios_xml_tree_add_extractaxistoscalartoscalar(parent_hdl%daddr, child_hdl%daddr, child_id, len(child_id))
+      ELSE
+         CALL cxios_xml_tree_add_extractaxistoscalartoscalar(parent_hdl%daddr, child_hdl%daddr, "NONE", -1)
+      END IF
+
+   END SUBROUTINE xios(add_extractaxistoscalartoscalar)
+
+   SUBROUTINE xios(add_reducedomaintoscalartoscalar)(parent_hdl, child_hdl, child_id)
+      TYPE(txios(scalar))                      , INTENT(IN) :: parent_hdl
+      TYPE(txios(reduce_domain_to_scalar))     , INTENT(OUT):: child_hdl
+      CHARACTER(len = *), OPTIONAL             , INTENT(IN) :: child_id
+
+      IF (PRESENT(child_id)) THEN
+         CALL cxios_xml_tree_add_reducedomaintoscalartoscalar(parent_hdl%daddr, child_hdl%daddr, child_id, len(child_id))
+      ELSE
+         CALL cxios_xml_tree_add_reducedomaintoscalartoscalar(parent_hdl%daddr, child_hdl%daddr, "NONE", -1)
+      END IF
+
+   END SUBROUTINE xios(add_reducedomaintoscalartoscalar)
+
 END MODULE IXML_TREE
Index: /XIOS/trunk/src/interface/fortran/reduce_domain_to_axis_interface.f90
===================================================================
--- /XIOS/trunk/src/interface/fortran/reduce_domain_to_axis_interface.f90	(revision 981)
+++ /XIOS/trunk/src/interface/fortran/reduce_domain_to_axis_interface.f90	(revision 981)
@@ -0,0 +1,22 @@
+MODULE REDUCE_DOMAIN_TO_AXIS_INTERFACE
+   USE, INTRINSIC :: ISO_C_BINDING
+
+   INTERFACE ! Ne pas appeler directement/Interface FORTRAN 2003 <-> C99
+
+      SUBROUTINE cxios_reduce_domain_to_axis_handle_create(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T)               :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_reduce_domain_to_axis_handle_create
+
+      SUBROUTINE cxios_reduce_domain_to_axis_valid_id(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         LOGICAL  (kind = C_BOOL)                   :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_reduce_domain_to_axis_valid_id
+
+   END INTERFACE
+
+END MODULE REDUCE_DOMAIN_TO_AXIS_INTERFACE
Index: /XIOS/trunk/src/interface/fortran/reduce_domain_to_scalar_interface.f90
===================================================================
--- /XIOS/trunk/src/interface/fortran/reduce_domain_to_scalar_interface.f90	(revision 981)
+++ /XIOS/trunk/src/interface/fortran/reduce_domain_to_scalar_interface.f90	(revision 981)
@@ -0,0 +1,22 @@
+MODULE REDUCE_DOMAIN_TO_SCALAR_INTERFACE
+   USE, INTRINSIC :: ISO_C_BINDING
+
+   INTERFACE ! Ne pas appeler directement/Interface FORTRAN 2003 <-> C99
+
+      SUBROUTINE cxios_reduce_domain_to_scalar_handle_create(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T)               :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_reduce_domain_to_scalar_handle_create
+
+      SUBROUTINE cxios_reduce_domain_to_scalar_valid_id(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         LOGICAL  (kind = C_BOOL)                   :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_reduce_domain_to_scalar_valid_id
+
+   END INTERFACE
+
+END MODULE REDUCE_DOMAIN_TO_SCALAR_INTERFACE
Index: /XIOS/trunk/src/interface/fortran_attr/expand_domain_interface_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/expand_domain_interface_attr.F90	(revision 981)
+++ /XIOS/trunk/src/interface/fortran_attr/expand_domain_interface_attr.F90	(revision 981)
@@ -0,0 +1,53 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "../fortran/xios_fortran_prefix.hpp"
+
+MODULE expand_domain_interface_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+
+  INTERFACE
+    ! Do not call directly / interface FORTRAN 2003 <-> C99
+
+    SUBROUTINE cxios_set_expand_domain_order(expand_domain_hdl, order) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: expand_domain_hdl
+      INTEGER (KIND=C_INT)      , VALUE :: order
+    END SUBROUTINE cxios_set_expand_domain_order
+
+    SUBROUTINE cxios_get_expand_domain_order(expand_domain_hdl, order) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: expand_domain_hdl
+      INTEGER (KIND=C_INT)             :: order
+    END SUBROUTINE cxios_get_expand_domain_order
+
+    FUNCTION cxios_is_defined_expand_domain_order(expand_domain_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_expand_domain_order
+      INTEGER (kind = C_INTPTR_T), VALUE :: expand_domain_hdl
+    END FUNCTION cxios_is_defined_expand_domain_order
+
+
+    SUBROUTINE cxios_set_expand_domain_type(expand_domain_hdl, type, type_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: expand_domain_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: type
+      INTEGER  (kind = C_INT)     , VALUE        :: type_size
+    END SUBROUTINE cxios_set_expand_domain_type
+
+    SUBROUTINE cxios_get_expand_domain_type(expand_domain_hdl, type, type_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: expand_domain_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: type
+      INTEGER  (kind = C_INT)     , VALUE        :: type_size
+    END SUBROUTINE cxios_get_expand_domain_type
+
+    FUNCTION cxios_is_defined_expand_domain_type(expand_domain_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_expand_domain_type
+      INTEGER (kind = C_INTPTR_T), VALUE :: expand_domain_hdl
+    END FUNCTION cxios_is_defined_expand_domain_type
+
+  END INTERFACE
+
+END MODULE expand_domain_interface_attr
Index: /XIOS/trunk/src/interface/fortran_attr/extract_axis_to_scalar_interface_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/extract_axis_to_scalar_interface_attr.F90	(revision 981)
+++ /XIOS/trunk/src/interface/fortran_attr/extract_axis_to_scalar_interface_attr.F90	(revision 981)
@@ -0,0 +1,32 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "../fortran/xios_fortran_prefix.hpp"
+
+MODULE extract_axis_to_scalar_interface_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+
+  INTERFACE
+    ! Do not call directly / interface FORTRAN 2003 <-> C99
+
+    SUBROUTINE cxios_set_extract_axis_to_scalar_position(extract_axis_to_scalar_hdl, position) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: extract_axis_to_scalar_hdl
+      INTEGER (KIND=C_INT)      , VALUE :: position
+    END SUBROUTINE cxios_set_extract_axis_to_scalar_position
+
+    SUBROUTINE cxios_get_extract_axis_to_scalar_position(extract_axis_to_scalar_hdl, position) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: extract_axis_to_scalar_hdl
+      INTEGER (KIND=C_INT)             :: position
+    END SUBROUTINE cxios_get_extract_axis_to_scalar_position
+
+    FUNCTION cxios_is_defined_extract_axis_to_scalar_position(extract_axis_to_scalar_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_extract_axis_to_scalar_position
+      INTEGER (kind = C_INTPTR_T), VALUE :: extract_axis_to_scalar_hdl
+    END FUNCTION cxios_is_defined_extract_axis_to_scalar_position
+
+  END INTERFACE
+
+END MODULE extract_axis_to_scalar_interface_attr
Index: /XIOS/trunk/src/interface/fortran_attr/extract_domain_to_axis_interface_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/extract_domain_to_axis_interface_attr.F90	(revision 981)
+++ /XIOS/trunk/src/interface/fortran_attr/extract_domain_to_axis_interface_attr.F90	(revision 981)
@@ -0,0 +1,53 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "../fortran/xios_fortran_prefix.hpp"
+
+MODULE extract_domain_to_axis_interface_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+
+  INTERFACE
+    ! Do not call directly / interface FORTRAN 2003 <-> C99
+
+    SUBROUTINE cxios_set_extract_domain_to_axis_direction(extract_domain_to_axis_hdl, direction, direction_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: extract_domain_to_axis_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: direction
+      INTEGER  (kind = C_INT)     , VALUE        :: direction_size
+    END SUBROUTINE cxios_set_extract_domain_to_axis_direction
+
+    SUBROUTINE cxios_get_extract_domain_to_axis_direction(extract_domain_to_axis_hdl, direction, direction_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: extract_domain_to_axis_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: direction
+      INTEGER  (kind = C_INT)     , VALUE        :: direction_size
+    END SUBROUTINE cxios_get_extract_domain_to_axis_direction
+
+    FUNCTION cxios_is_defined_extract_domain_to_axis_direction(extract_domain_to_axis_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_extract_domain_to_axis_direction
+      INTEGER (kind = C_INTPTR_T), VALUE :: extract_domain_to_axis_hdl
+    END FUNCTION cxios_is_defined_extract_domain_to_axis_direction
+
+
+    SUBROUTINE cxios_set_extract_domain_to_axis_position(extract_domain_to_axis_hdl, position) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: extract_domain_to_axis_hdl
+      INTEGER (KIND=C_INT)      , VALUE :: position
+    END SUBROUTINE cxios_set_extract_domain_to_axis_position
+
+    SUBROUTINE cxios_get_extract_domain_to_axis_position(extract_domain_to_axis_hdl, position) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: extract_domain_to_axis_hdl
+      INTEGER (KIND=C_INT)             :: position
+    END SUBROUTINE cxios_get_extract_domain_to_axis_position
+
+    FUNCTION cxios_is_defined_extract_domain_to_axis_position(extract_domain_to_axis_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_extract_domain_to_axis_position
+      INTEGER (kind = C_INTPTR_T), VALUE :: extract_domain_to_axis_hdl
+    END FUNCTION cxios_is_defined_extract_domain_to_axis_position
+
+  END INTERFACE
+
+END MODULE extract_domain_to_axis_interface_attr
